package cn.superdesk.uniorder.dao.mapper.accounting.unified.customer;

import cn.superdesk.uniorder.dao.entity.accounting.unified.customer.AccountingUnifiedCustomerOrder;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ExpSysOrder;
import cn.superdesk.uniorder.dto.vo.accounting.unified.customer.ReportOrderQA;
import cn.superdesk.uniorder.dto.vo.sys.SysInvoiceOrder;
import cn.superdesk.uniorder.dto.vo.sys.SysOrderQuery;

import java.util.List;
import java.util.Map;

public interface AccountingUnifiedCustomerOrderMapperEx {

	ReportOrderQA getReportQuantity(Map<String, Object> params);

	List<AccountingUnifiedCustomerOrder> findAll(Map<String, Object> params);

	@Deprecated
	List<ExpSysOrder> findOrderViewExcel(Map<String, Object> paramsOrder);

	@Deprecated
	List<ExpSysOrder> getOrderViewExcel(SysOrderQuery paramsOrder);

	@Deprecated
	List<ExpSysOrder> findOrderView(SysOrderQuery params);

	@Deprecated
	List<ExpSysOrder> findSysOrderGoods(SysOrderQuery params);

	@Deprecated
	List<ExpSysOrder> findSysOrderGoodsProject(SysOrderQuery params);

	SysInvoiceOrder findInvByOrderId(Long orderId);
}